function ganttInit() {

	gantt.config.xml_date = "%Y-%m-%d %H:%i";
	gantt.config.columns = [
        {name:"text", label:"Task Name", tree:true, width:'*' },
        {name:"progress", label:"Progress", width:80, align: "center",
            template: function(item) {
                if (item.progress >= 1)
                    return "Complete";
                if (item.progress == 0)
                    return "Not started";
                return item.progress*100 + "%";
            }
        },
        {name:"start_date", label:"Start Date", width:'80'},
        {name:"add",label:"",width:30}];

	gantt.config.lightbox.sections=[
	{name:"description", height:70, map_to:"text", type:"textarea", focus:true},
	{name:"progress", height:40, map_to:"progress",type:"textarea"},
	{name:"duration", height:72, map_to:"duration", type:"duration"}];
	gantt.locale.labels.section_progress = "Progress";
	gantt.locale.labels.section_duration = "Duration";
	gantt.attachEvent("onTaskDrag", function(id, mode, task, original){
		    var modes = gantt.config.drag_mode;
		    if(mode == modes.move){
		        var diff = task.start_date - original.start_date;
		        gantt.eachTask(function(child){
		            child.start_date = new Date(+child.start_date + diff);
		            child.end_date = new Date(+child.end_date + diff);
		            gantt.refreshTask(child.id, true);
		        },id );
		    }
		    return true;
		});
	gantt.config.scale_unit = "month";
	gantt.config.date_scale = "%F, %Y";
	gantt.config.scale_height = 50;
	gantt.config.subscales = [{unit:"day", step:7, date:"%j, %D" }];
	gantt.config.fit_tasks = true;
	gantt.init(document.body);
	gantt.load('codebase/connector/ganttData.php');
	var dp = new dataProcessor('codebase/connector/ganttData.php');
	dp.init(gantt);

};